## libnl3 3.7.0

=== debian/changelog ===
libnl3 (3.7.0-1) unstable; urgency=medium

  * Add myself to Uploaders.

  [ Andreas Tille ]
  * Declare Vcs fields to Debian/ team where packaging was found on Alioth
  * Point Homepage to Github
  * Fix watch file
  * Drop explicit debug package libnl-3-200-dbg
  * debhelper-compat = 13
  * Switch from cdbs to dh
  * Build-Depends: s/pkg-config/pkgconf/

  [ Aurelien Jarno ]
  * libnl-genl-3-200-udeb: Do not install library in the multiarch path in udeb
    Closes: #953879

  [ наб ]
  * d/rules: guard topgit include (poisoned dh incocations)
  * Drop unused dh-exec
  * d/control: XC-Package-Type: drop XC- per debhelper(7)
  * d/rules: drop duplicate dh_gencontrol
  * d/rules: drop non-operational left-over cdbs cruft

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 10 Mar 2025 12:28:51 +0100

libnl3 (3.7.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install libraries into /usr (DEP17 M2).

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 10 Jan 2024 00:50:22 +0100

libnl3 (3.7.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Dodge debhelper's #1015263 by resetting misc:Depends via
    DEB_DH_GENCONTROL_ARGS_libnl{,-genl}-3-200-udeb to avoid pulling
    sgml-base (Closes: #1016996).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 10 Aug 2022 23:43:51 +0000

libnl3 (3.7.0-0.1) unstable; urgency=low

  * Non-maintainer upload (Closes: #1016485)
  * Again for this NMU, modifications have been limited to:
    - Symbols have been updated
    - Patches have been refreshed

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Mon, 01 Aug 2022 17:53:32 +0200
