=== debian/control ===
Source: libnl3
Section: net
Priority: optional
Maintainer: Heiko Stuebner <mmind@debian.org>
Uploaders: Chris Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper-compat (= 13),
               bison,
               flex,
               linux-libc-dev (>= 3.2.41),
               pkgconf
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/debian/libnl3.git
Vcs-Browser: https://salsa.debian.org/debian/libnl3
Homepage: https://github.com/thom311/libnl

Package: libnl-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.

Package: libnl-cli-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), libnl-genl-3-200 (= ${binary:Version}), libnl-nf-3-200 (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - cli helpers
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 Library for cli helpers in libnl-utils.

Package: libnl-utils
Architecture: linux-any
Section: libs
Depends: libnl-cli-3-200 (= ${binary:Version}), libnl-idiag-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Utilities for dealing with netlink sockets
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 These utilities help dealing with netlink sockets.

Package: libnl-genl-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - generic netlink
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to the generic netlink protocol, an extended version of the netlink
 protocol.

Package: libnl-idiag-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - inetdiag interface
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to the inetdiag netlink protocol, handling inetdiag requests

Package: libnl-nf-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - netfilter interface
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to netlink based netfilter configuration and monitoring interfaces.

Package: libnl-route-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - route interface
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to the configuration interfaces of the NETLINK_ROUTE family.

Package: libnl-xfrm-3-200
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for dealing with netlink sockets - package transformations
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 API to netlink based package transformations (such as encrypting
 their payloads).

Package: libnl-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-200 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnl-dev, libnl2-dev
Breaks: libnl3-dev
Replaces: libnl3-dev
Multi-Arch: same
Description: development library and headers for libnl-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the headers needed by all libraries and the  files
 that are needed to build applications using libnl3.

Package: libnl-cli-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-dev (= ${binary:Version}), libnl-nf-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-cli-3-200 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: development library and headers for libnl-cli-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-cli-3.

Package: libnl-genl-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-genl-3-200 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: development library and headers for libnl-genl-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-genl-3.

Package: libnl-idiag-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-idiag-3-200 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: development library and headers for libnl-genl-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-idiag-3.

Package: libnl-nf-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-dev (= ${binary:Version}), libnl-nf-3-200 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: development library and headers for libnl-nf-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-nf-3.

Package: libnl-route-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-route-3-200 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: development library and headers for libnl-route-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-route-3.

Package: libnl-xfrm-3-dev
Architecture: linux-any
Section: libdevel
Depends: libnl-3-dev (= ${binary:Version}), libnl-xfrm-3-200 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: development library and headers for libnl-xfrm-3
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package contains the files that are needed to build applications using
 libnl-xfrm-3.

Package: libnl-3-200-udeb
Architecture: linux-any
Package-Type: udeb
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for dealing with netlink sockets
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package is a udeb. It's only useful inside of debian-installer.

Package: libnl-genl-3-200-udeb
Architecture: linux-any
Package-Type: udeb
Section: debian-installer
Depends: libnl-3-200-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: library for dealing with netlink sockets - generic netlink
 This is a library for applications dealing with netlink sockets.
 The library provides an interface for raw netlink messaging and various
 netlink family specific interfaces.
 .
 This package is a udeb. It's only useful inside of debian-installer.
