=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,pgpsigurlmangle=s/$/.sig/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/thom311/libnl/tags (?:.*?/)?libnl(\d[\d._]+)\.tar\.gz
