## libnl3 3.11.0

=== debian/changelog ===
libnl3 (3.11.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 04 Sep 2025 00:13:57 +0200

libnl3 (3.11.0-1) experimental; urgency=medium

  * New upstream version 3.11.0
  * Refresh patches
  * Drop patches readding dropped symbols.
    While this is an ABI break, it appears no Debian packages are using
    these symbols. Affected symbols are: tca_set_kind,
    _nl_socket_generate_local_port_no_release, __nl_cache_ops_lookup.
  * Enable upstream's symbol versioning.
    This is a one-way incompatible break: programs linked to the new version
    of our libraries will require versioned symbols. Programs previously
    linked will continue to work, as ld.so will pick a version for them.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 27 Jul 2025 17:50:12 +0200

libnl3 (3.7.0-2) unstable; urgency=medium

  * Refresh upstream signing key
  * d/watch: fix download URL
  * Delete outdated debian/README.Debian
  * Delete outdated debian/README.source
  * d/rules: drop obsolete topgit, CFLAGS stuff
  * d/rules: stop explicitly setting --libdir
  * d/*.install: drop unnecessary debian/tmp prefixes
  * d/*.install: consistently use ${DEB_HOST_MULTIARCH}
  * d/*udeb.install: consistently target usr/lib/${DEB_HOST_MULTIARCH}
  * d/*.install: remove duplicate destination path
  * d/*.symbols: add Build-Depends-Packages for all packages
  * Build-Conflicts: check, as build-time unittests require root
  * Set Standards-Version to 4.7.2

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 15 Mar 2025 14:51:47 +0100
