=== debian/watch ===
version=4

opts="uversionmangle=s/_/./g,pgpsigurlmangle=s/$/.sig/,downloadurlmangle=s%archive/refs/tags/(.*).tar.gz%releases/download/$1/$1.tar.gz%;s%libnl(\d+)_(\d+)_(\d+)\.tar\.gz%libnl-$1.$2.$3.tar.gz%,filenamemangle=s/_/./g;s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/thom311/libnl/tags (?:.*?/)?libnl(\d[\d._]+)\.tar\.gz
