## libnl3 3.12.0

=== debian/changelog ===
libnl3 (3.12.0-2) unstable; urgency=medium

  * d/watch: fix version mangling, disable pgp mangle.
    upstream key is not good enough anymore.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Jan 2026 01:29:37 +0100

libnl3 (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * Rebase patches
  * Update symbols for 3.12
  * d/watch: fix version mangling for underscores

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 19 Dec 2025 15:53:54 +0100
